QGIS Application - Bug report #4665
QGIS Server 1.7.3 not displaying maps on Ubuntu
2011-12-18 03:10 AM - Larry Shaffer

Status: Closed

Priority: High

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 14557
Description

| have written about this here: http://forum.qggis.org/viewtopic.php?f=2&#38;t=9809

Even though | am using the UbuntuGIS unstable repository, another user mentions that it is happening with the QGIS repository as well.
So it may be a bug in the source.

Larry

History

#1 - 2011-12-18 04:44 AM - Giovanni Manghi
- Category set to QGIS Server

- Status changed from Open to Feedback

- Target version set to Version 1.7.4

In the project properties are you using relative or absolute paths? now qgis-master uses relative that won't work with qgis server, don't know if this change

was backported. Please check and report back.

#2 - 2011-12-18 06:33 PM - Larry Shaffer

Hi Giovanni,

| double-checked and they are saved as absolute in the project properties. The .qgs and web server setup worked fine with QGIS Server when using the

1.7.1 install.

#3 - 2011-12-19 03:05 AM - Giovanni Manghi

I'm on Ubuntu too and qgis-master works fine. Can you give it a try (using the nightly build repo) and then report back?

cheers

#4 - 2011-12-19 05:15 AM - Larry Shaffer

Yes, | can confirm that the nightly repo install works fine, excepting a small quirk:

http://localhost/cgi-bin/qgis_mapserv.fcgi?SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetCapabilities
does not return anything from wms_metadata.xml (exhibits same error of no response to host web server). In fact, the contents of wms_metadata.xml, |
believe, are not the same as the UbuntuGIS 1.7.(1|2|3) install's. Not a big deal, since qgis-maserver is now serving maps and reporting the .qgs
GetCapabilities just fine.

| can continue to run the qgis-master install, but what about when there is a new stable (or working unstable) version from UbuntuGIS? Will it be
moderately easy to roll back to those versions? I'm running this under Parallels on a Mac, so | can just delete snapshots, but would prefer to just keep
moving forward, albeit with a stable-ish install. (got too much work to get done right now)

Thanks!

#5 - 2011-12-19 05:17 AM - Giovanni Manghi

- Assignee set to Marco Hugentobler
- Status changed from Feedback to Open

As the bug is confirmed in 1.7.3 I'll assign the ticket to the QGIS-Server mantainer. Let's see if he can backport/fix the issue in time for 1.7.4

#6 - 2011-12-19 09:58 AM - Larry Shaffer

Thanks for the help, Giovanni.

#7 - 2011-12-19 01:27 PM - Marco Hugentobler
- Status changed from Open to Resolved

Testing it on my machine, there is a problem with the release-1_7_3 branch (reading of path in QgsProject class). The fix is already in release-1_7 branch,
s0 1.7.4 will be fine.

#8 - 2011-12-24 01:01 AM - Giovanni Manghi

- Resolution set to fixed

- Affected QGIS version set to master

- Status changed from Resolved to Closed

- Crashes QGIS or corrupts data set to No

#9 - 2012-02-01 11:14 PM - hamish -

Marco Hugentobler wrote:
Testing it on my machine, there is a problem with the
release-1_7_3 branch (reading of path in QgsProject
class). The fix is already in release-1_7 branch, so
1.7.4 will be fine.

Hi,

can you point me to the patch in the release-1_7 branch that fixes this? | need to apply it by hand into a 1.7.3 re-build.

I'm no redmine or git expert and couldn't figure out how to browse any branches but the master... :-/
thanks,
Hamish
